RP_GET_BYTES(3)

FUNCTION
rp_get_bytes - Get bytes of data from a random pool.

SYNOPSIS
#include <karma_rp.h>

void rp_get_bytes

(RandPool rp, unsigned char *buf, unsigned int length)

DESCRIPTION
Get bytes of data from a random pool.

rp  The random pool.

buf The bytes to get from the pool will be written here. These bytes should be random and cryptographically secure.

length
    The number of bytes to get from the pool.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/